<?php


/*
Plugin Name: SETI@home Stats Widget
Plugin URI: http://www.trassare.com/setihome-stats/
Description: This widget displays a user's SETI@home stats in the sidebar.
Version: 1.1.9
Author: Samuel T. Trassare
Author URI: http://www.trassare.com
Text Domain: setihome-stats
Domain Path: /languages
*/

function widget_init_SetiStatsDisplay() {
	// Check for required functions
	if (!function_exists('register_sidebar_widget'))
		return;

	function widget_SetiStatsDisplay($args) {
		extract($args);
		if (function_exists('get_seti_stats')) {
			echo $before_widget;
			echo $before_title . __('SETI@home Stats', 'setihome-stats') . $after_title;
			get_seti_stats();
			echo $after_widget;
		}
	}
	register_sidebar_widget(__('SETI@home Stats'), 'widget_SetiStatsDisplay');
}

// Delay plugin execution until sidebar is loaded
add_action('widgets_init', 'widget_init_SetiStatsDisplay');
?>
